!!ARBvp1.0
OPTION ARB_position_invariant;

ATTRIB iVertex = vertex.position;
ATTRIB iNormal = vertex.normal;
ATTRIB iTex0   = vertex.texcoord[0];
ATTRIB sVec    = vertex.texcoord[1];
ATTRIB tVec    = vertex.texcoord[2];

PARAM lightPos  = program.local[0];
PARAM lightSize = program.local[1];

OUTPUT oTex0   = result.texcoord[0];
OUTPUT oTex1   = result.texcoord[1];

PARAM half = { 0.5, 0.5, 0.5, 0.5 };

TEMP localPos, localScaledPos, tmp;


# Output texCoord0
MOV oTex0, iTex0;


# Calc and output texCoord1
SUB localPos,       lightPos, iVertex;
MUL localScaledPos, localPos, lightSize;

DP3 tmp.x, localScaledPos, sVec;
DP3 tmp.y, localScaledPos, tVec;
DP3 tmp.z, localScaledPos, iNormal;
MOV tmp.w, half.w;

ADD oTex1, tmp, half;

END
